<script lang="ts">
import Vue from 'vue';
import { MetaInfo } from 'vue-meta/types/vue-meta';
import { CTA as CallToAction, Copy } from '../../components/common/index.vue';
import { getClient } from '../../plugins/contentful.js';
import { CONTENT_TYPES } from '../../common/content-types';
import { getPageMetadata } from '~/common/meta';
import { convertToCaseSensitiveLocale } from '~/common/util';

export default Vue.extend({
  components: {
    Copy,
    CallToAction,
  },
  async asyncData({ i18n, redirect }: any) {
    try {
      const { items } = await getClient().getEntries({
        content_type: CONTENT_TYPES.PAGE,
        'sys.id': '402VKROWbQColOnX9nO4KO',
        include: 10,
        locale: convertToCaseSensitiveLocale(i18n.locale),
      });
      const data = items[0].fields.pageContent[0].fields;

      const mentionsCTA = {
        horizontal_rule: true,
        centered_by_default: true,
        title: data.header,
      };

      const mentionsText = {
        block: [
          {
            text: data.text,
            hide_horizontal_rule: true,
          },
        ],
      };

      const mentions = {
        title: data.header,
        mentionsCTA,
        mentionsText,
      };

      return { mentions };
    } catch (e) {
      return redirect('/404');
    }
  },
  nuxtI18n: {
    locales: ['fr-fr'],
  },
  head(): MetaInfo {
    return getPageMetadata(
      (this as any).mentions,
      this.$route.path,
      this.$nuxtI18nHead({ addSeoAttributes: true }),
    );
  },
});
</script>

<template>
  <SlpContainer class="mentions-legales">
    <CallToAction :data="mentions.mentionsCTA" />
    <Copy :data="mentions.mentionsText" />
  </SlpContainer>
</template>

<style lang="scss" scoped>
/* Custom styles for this page only */
.mentions-legales {
  margin-bottom: $spacing-96;
  .cta {
    margin-bottom: 0;
  }
}
</style>
